# Variable RWSannotations`Const`

RWSannotations: {
modelAnnotations: {
InverseRelation: ((inversionModel) => ((target, key) => void));
InverseTimeSeries: ((timeSeriesModel, hydrationField) => ((target, key) => void));
Relation: ((relatedTo, required?, relationField?, relatedToField?) => ((target, key) => void));
TrackType: ((type, opts?, tags?) => ((target, key) => void));
};
routingAnnotations: {
Route: ((name, method?, params?) => ((target, key) => void));
};
} = ...

#### Type declaration

- ##### modelAnnotations: {
  InverseRelation: ((inversionModel) => ((target, key) => void));
  InverseTimeSeries: ((timeSeriesModel, hydrationField) => ((target, key) => void));
  Relation: ((relatedTo, required?, relationField?, relatedToField?) => ((target, key) => void));
  TrackType: ((type, opts?, tags?) => ((target, key) => void));
  }

  - ##### InverseRelation: ((inversionModel) => ((target, key) => void))

    - - (inversionModel): ((target, key) => void)

      - #### Parameters

        - ##### inversionModel: string

        #### Returns ((target, key) => void)

        - - (target, key): void

          - #### Parameters

            - ##### target: any

            - ##### key: string

            #### Returns void

  - ##### InverseTimeSeries: ((timeSeriesModel, hydrationField) => ((target, key) => void))

    - - (timeSeriesModel, hydrationField): ((target, key) => void)

      - #### Parameters

        - ##### timeSeriesModel: string

        - ##### hydrationField: string

        #### Returns ((target, key) => void)

        - - (target, key): void

          - #### Parameters

            - ##### target: any

            - ##### key: string

            #### Returns void

  - ##### Relation: ((relatedTo, required?, relationField?, relatedToField?) => ((target, key) => void))

    - - (relatedTo, required?, relationField?, relatedToField?): ((target, key) => void)

      - #### Parameters

        - ##### relatedTo: string

        - ##### required: boolean = false

        - ##### relationField: string = null

        - ##### relatedToField: string = 'id'

        #### Returns ((target, key) => void)

        - - (target, key): void

          - #### Parameters

            - ##### target: any

            - ##### key: string

            #### Returns void

  - ##### TrackType: ((type, opts?, tags?) => ((target, key) => void))

    - - (type, opts?, tags?): ((target, key) => void)

      - #### Parameters

        - ##### type: any

        - ##### opts: ITrackerOpts = null

        - ##### tags: string[] = []

        #### Returns ((target, key) => void)

        - - (target, key): void

          - #### Parameters

            - ##### target: any

            - ##### key: string

            #### Returns void

- ##### routingAnnotations: {
  Route: ((name, method?, params?) => ((target, key) => void));
  }

  - ##### Route: ((name, method?, params?) => ((target, key) => void))

    - - (name, method?, params?): ((target, key) => void)

      - #### Parameters

        - ##### name: string

        - ##### method: RequestMethodType = 'GET'

        - ##### params: IHTTProuteParams = ...

        #### Returns ((target, key) => void)

        - - (target, key): void

          - #### Parameters

            - ##### target: any

            - ##### key: string

            #### Returns void

- Defined in src/index.ts:40

Generated using TypeDoc